Arbor 3: FSM & BT Graph Editor 3.5.3

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
GetParameterCalculatorInternal Class Reference

Internal class of Arbor.ParameterBehaviours.GetParameterCalculator. More...

Inheritance diagram for GetParameterCalculatorInternal:

## Public Member Functions
void | SetParameter (Parameter parameter)
| Set parameter. More...
override void | OnCalculate ()
| It called when it is calculated . More...
Public Member Functions inherited from Calculator
virtual bool | OnCheckDirty ()
| It is called when judging whether it has been changed. More...
void | SetDirty ()
| Call if you want call OnCalculate. More...
void | Calculate ()
| It is calculated, if necessary. More...
Public Member Functions inherited from NodeBehaviour
void | RebuildFields ()
| For Editor. More...
DataSlotField | GetDataSlotField (int index)
| Get DataSlotField. More...
DataSlotField | GetCalculatorSlotField (int index)
| Get DataSlotField. More...
DataSlotField | GetDataSlotField (DataSlot slot)
| Get DataSlotField. More...
DataSlotField | GetCalculatorSlotField (DataSlot slot)
| Get DataSlotField. More...
void | RebuildDataSlotFields ()
| Rebuild the DataSlotField. More...
void | RebuildCalculatorSlotFields ()
| Rebuild the DataSlotField. More...
void | Initialize (NodeGraph nodeGraph, int nodeID)
| For Editor. More...
void | UpdateDataLink ()
| Manually update DataLink values. More...

## Properties
bool | isInGraphParameter`[get]`
| Whether this refers to a parameter in the graph. More...
Properties inherited from Calculator
CalculatorNode | calculatorNode`[get]`
| Get the CalculatorNode. More...
int | calculatorID`[get]`
| Gets the Calculator identifier. More...
bool | isDirty`[get]`
| Whether it has been changed. More...
Properties inherited from NodeBehaviour
NodeGraph | nodeGraph`[get]`
| Gets the NodeGraph. More...
int | nodeID`[get]`
| Gets the node identifier. More...
Node | node`[get]`
| Get the Node. More...
int | dataSlotFieldCount`[get]`
| Number of DataSlotField More...
int | calculatorSlotFieldCount`[get]`
| Number of DataSlotField More...

## Additional Inherited Members
Static Public Member Functions inherited from NodeBehaviour
static NodeBehaviour | CreateNodeBehaviour (Node node, System.Type type, bool duplicate=false)
| For Editor. More...
static Type | CreateNodeBehaviour< Type > (Node node, bool duplicate=false)
| For Editor. More...
static void | Destroy (NodeBehaviour behaviour)
| Destroy NodeBehaviour. More...
Protected Member Functions inherited from Calculator
virtual void | Awake ()
| This function is called when the script instance is being loaded. More...
virtual void | OnDestroy ()
| This function is called when MonoBehaivour will be destroyed. More...
override void | OnValidate ()
| This function is called when the script is loaded or a value is changed in the inspector (Called in the editor only). More...
Protected Member Functions inherited from NodeBehaviour
virtual void | OnCreated ()
| Raises the created event. More...
virtual void | OnInitializeEnabled ()
| Called to perform enabled initialization. More...
virtual void | OnPreDestroy ()
| Raises the pre destroy event. More...
virtual void | OnGraphPause ()
| This function is called when the graph is paused. More...
virtual void | OnGraphResume ()
| This function is called when the graph resumes. More...
virtual void | OnGraphStop ()
| This function is called when the graph stops. More...

## Detailed Description

Internal class of Arbor.ParameterBehaviours.GetParameterCalculator.

## Member Function Documentation

override void OnCalculate | ( |  | ) |
| virtual

It called when it is calculated .

Reimplemented from Calculator.

void SetParameter | ( | Parameter | parameter | ) |

Set parameter.

Parameters

  parameter | Parameter

## Property Documentation

bool isInGraphParameter
| get

Whether this refers to a parameter in the graph.